General
cancel
Showing results for 
Search instead for 
Did you mean: 

Required Patches to install Oracle 10 g on hp-ux 11iv2

meekrob
Super Advisor

Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi All,

i am trying to install Oracle 10g on hp-ux 11.23 revision but when i try to launch an Oracle related script that checks pre-requisite requirements for the installation, it fails with the following output:
Package existence check failed for "C-ANSI-C:B.11.11.12".
Package existence check failed for "gcc:3.4.2".
Package existence check failed for "FORTRAN90:B.11.23.20".
Package existence check failed for "make:3.80".
Package existence check failed for "TIBRV:7.3".
Package existence check failed for "unzip:5.51".
Package existence check failed for "zip:2.3".
Package existence check failed for "gdb:5.3".

i tried to download patches related to almost of these fail messages but i am not quite sure if they match furthermore, i did not find patches related to : "TIBRV:7.3" and "gdb:5.3" messages (from the patch database i used the search by keyword criteria knowing the fact that i do not have the corresponding patch IDs). is there a better solution? is there a way to find corresponding patch ids? i tried to search Oracle's website without any solution to my question.

Your help is much appreciated
Thanks in advance
11 REPLIES
Horia Chirculescu
Honored Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hello,

You should double-check the instrallation kit for ORACLE. I suspect you did not choosed/downloaded the right binary for your system.

Best regards,
Horia.
Best regards from Romania,
Horia.
meekrob
Super Advisor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi Horia could you clarify more plz?
Thanks for your precious help
Horia Chirculescu
Honored Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Have you downloaded the binary from Oracle website? Because there is a possibility that you did not get the right file for your system. I understand that you have HP-UX (11iv2) but I believe the binary that you have is for linux.

Best regards,
Horia.
Best regards from Romania,
Horia.
Dennis Handly
Acclaimed Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

>Package existence check failed for "C-ANSI-C:B.11.11.12".
>Package existence check failed for "FORTRAN90:B.11.23.20".

If you don't have the C or F90 compilers, you can ignore these messages.

>i did not find patches related to: "TIBRV:7.3" and "gdb:5.3" messages

These may not be HP products? And they are not patches.
S. Ney
Trusted Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Not sure which binary you downloaded from metalink but there are different download options such as what type of extension you download the oracle install package as. If you downloaded it as a zip file see this link as you'll need an unzip program.

http://forums11.itrc.hp.com/service/forums/questionanswer.do?threadId=1302636

except you'll want to get unzip at
http://hpux.connect.org.uk/

Also you can ignore tibrv as well as the compilers. The standard oracle install does not need an advanced compiler.

http://forums13.itrc.hp.com/service/forums/questionanswer.do?admit=109447627+1275487844444+28353475&threadId=1222896
meekrob
Super Advisor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi All,

i have downloaded the right binary script from Oracle's website by choosing the "HP-UX PA RISC" section under the following link: http://www.oracle.com/technology/products/database/clustering/cvu/cvu_download_homepage.html

the script is a cluster verification utility

Thanks in advance
meekrob
Super Advisor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi All,

i have already downloaded the right binary script from Oracle's website by choosing the "HP-UX PA RISC" section under the following link: http://www.oracle.com/technology/products/database/clustering/cvu/cvu_download_homepage.html

eventhough im getting the same errors listed above, any ideas?

Thanks in advance
Horia Chirculescu
Honored Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

>http://www.oracle.com/technology/products/database/clustering/cvu/cvu_download_homepage.html


CVU means Cluster Verification Utility. Do you want to install Oracle Clusterware (ORACLE RAC) ?

If not, you do not need to run this utility.

Best regards,
Horia.
Best regards from Romania,
Horia.
Eric Antunes
Honored Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi,

Maybe oracle user doesn't have permission to execute swlist. Try as root:

chmod o+x /usr/sbin/swlist

Then, retry the installation as oracle.

Best Regards,

Eric

Each and every day is a good day to learn.
Eric Antunes
Honored Contributor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

What is the Oracle script you are running?
Each and every day is a good day to learn.
meekrob
Super Advisor

Re: Required Patches to install Oracle 10 g on hp-ux 11iv2

Hi Georgess,

Did you check all the perquisites needed by Oracle on Patching and other software to get Oracle 10g installed ? If YES, the CVU can done with Failed but ORACLE can be get installed. Otherwise, do you have any support with ORACLE? if yes, could you send him your CVU and the whole characteristic of your Platform, they will change the CVU Script to can be compatible with your environment and then, can be used.

Please, check if you have the MC/ServiceGuard installed on your System, if YES, you must deactivate!

Izzat.